## ros-galactic-ign-rviz-common 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ign_rviz_common)

set(CMAKE_AUTOMOC ON)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# ROS2 packages
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_msgs REQUIRED)
find_package(tf2_ros REQUIRED)

find_package(Qt5Widgets CONFIG REQUIRED)

# Igntiion Libraries
find_package(ignition-math6)

# Dome
if("$ENV{IGNITION_VERSION}" STREQUAL "dome")
  find_package(ignition-gui4 REQUIRED)
  set(IGN_GUI_VER ${ignition-gui4_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Dome")
# Default to Edifice
else()
  find_package(ignition-gui5 REQUIRED)
  set(IGN_GUI_VER ${ignition-gui5_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
endif()

include_directories(include)

include_directories(SYSTEM
  ${IGNITION-MATH_INCLUDE_DIRS}
)

add_library(ign_rviz_common SHARED
  include/ignition/rviz/common/frame_manager.hpp
  src/rviz/common/frame_manager.cpp
)

ament_target_dependencies(ign_rviz_common
  rclcpp
  tf2_ros
  tf2_msgs
  geometry_msgs
  tf2_geometry_msgs
  ignition-math6
  ignition-gui${IGN_GUI_VER}
)

target_include_directories(ign_rviz_common
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
  ${Qt5Widgets_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
)

install(
  TARGETS ign_rviz_common
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(
  include
)

ament_export_libraries(
  ${PROJECT_NAME}
)

install(
  TARGETS ign_rviz_common
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-galactic-ign-rviz-common (0.0.1-5focal) focal; urgency=high

  * Edifice support (#71 <https://github.com/ignitionrobotics/ign-rviz/issues/71>)
  * Update getFramePose from FrameManager (#67 <https://github.com/ignitionrobotics/ign-rviz/issues/67>)
  * Merge pull request #52 <https://github.com/ignitionrobotics/ign-rviz/issues/52> from ignitionrobotics/chapulina/readme
    Suggestions to README and others
  * Suggestions to README and others
  * Refactor code and update documentation (#38 <https://github.com/ignitionrobotics/ign-rviz/issues/38>)
  * TF visualization plugin config (#32 <https://github.com/ignitionrobotics/ign-rviz/issues/32>)
  * Global Options Plugin (#29 <https://github.com/ignitionrobotics/ign-rviz/issues/29>)
  * Add code documentation (#11 <https://github.com/ignitionrobotics/ign-rviz/issues/11>)
  * Add documentation for ign_rviz_common
  * Restructure repository (#11 <https://github.com/ignitionrobotics/ign-rviz/issues/11>)
  * Restructure repository
  * Contributors: Alejandro Hernández Cordero, Atharva Pusalkar, Louise Poubel, Sarathkrishnan Ramesh

 -- Sarathkrishnan Ramesh <sarathkrishnan99@gmail.com>  Fri, 16 Apr 2021 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-ign-rviz-common
Section: misc
Priority: optional
Maintainer: Sarathkrishnan Ramesh <sarathkrishnan99@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libignition-gui5-dev, libignition-math6-dev, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-geometry-msgs, ros-galactic-rclcpp, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-msgs, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ign-rviz-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gui5-dev, libignition-math6-dev, ros-galactic-geometry-msgs, ros-galactic-rclcpp, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-msgs, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Description: Common libraries for ign_rviz and ign_rviz_plugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ign-rviz-common//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
